scikit-feature
===============================
Feature selection repository scikit-feature in Python. 

scikit-feature is an open-source feature selection repository in Python developed by Data Mining and Machine Learning Lab at Arizona State University. It is built upon one widely used machine learning package scikit-learn and two scientific computing packages Numpy and Scipy. scikit-feature contains around 40 popular feature selection algorithms, including traditional feature selection algorithms and some structural and streaming feature selection algorithms. 

It serves as a platform for facilitating feature selection application, research and comparative study. It is designed to share widely used feature selection algorithms developed in the feature selection research, and offer convenience for researchers and practitioners to perform empirical evaluation in developing new feature selection algorithms.

## Installing scikit-feature
### Prerequisites:
Python 2.7 *and Python 3*

NumPy

SciPy

Scikit-learn

### Steps:
For Linux users, you can install the repository by the following command:

    python setup.py install

For Windows users, you can also install the repository by the following command:

    setup.py install

## Project website
Instructions of using this repository can be found in our project webpage at http://featureselection.asu.edu/

## Citation

If you find scikit-feature feature selection reposoitory useful in your research, please consider citing the following paper::

    @article{li2018feature,
    title={Feature selection: A data perspective},
    author={Li, Jundong and Cheng, Kewei and Wang, Suhang and Morstatter, Fred and Trevino, Robert P and Tang, Jiliang and Liu, Huan},
    journal={ACM Computing Surveys (CSUR)},
    volume={50},
    number={6},
    pages={94},
    year={2018},
    publisher={ACM}
    }
    
## Contact
Jundong Li
E-mail: jundong@virgnia.edu
